This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 68805 - improvements to logwatch sendmail script
improvements to logwatch sendmail script
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: logwatch (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-14 13:22 EDT by Jay Berkenbilt
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-08 13:45:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to correct problems (2.41 KB, patch)
2002-07-14 13:22 EDT, Jay Berkenbilt
no flags Details | Diff
refinement of previous patch with clearer regexp (2.37 KB, patch)
2002-08-08 13:28 EDT, Jay Berkenbilt
no flags Details | Diff
subsumes earlier patches and includes additional enhancements (4.49 KB, patch)
2002-08-08 13:44 EDT, Jay Berkenbilt
no flags Details | Diff

  None (edit)
Description Jay Berkenbilt 2002-07-14 13:22:24 EDT
Description of Problem:

There are several routine situations that logwatch's sendmail script misses.

Version-Release number of selected component (if applicable):

logwatch-2.6-2, sendmail-8.11.6-15

How Reproducible:

always

Summary of changes:

In Authentication-Warning message: catch non-use of the HELO protocol in
addition to setting sender with -f

4-hour warnings: catch both "return to sender" and "sender notify"

Catch unidentified unknown users (postmaster notify, return to sender)

Catch timeouts communicating with remote servers

A patch is attached.
Comment 1 Jay Berkenbilt 2002-07-14 13:22:47 EDT
Created attachment 65307 [details]
patch to correct problems
Comment 2 Elliot Lee 2002-08-08 11:42:21 EDT
Hmm, shouldn't that (astring)|(anotherstring) regex be (astring|anotherstring)?
Comment 3 Jay Berkenbilt 2002-08-08 13:28:13 EDT
The regexp is correct as given, but it can be somewhat simplified.  Check out my
revised patch.  It does exactly the same thing but looks a little cleaner.  I've
tested this against my own server by running logwatch --range all --service
sendmail with and without the change.

My new patch logwatch-sendmail.patch2 is functionally identical to the first
patch.  I'm also posting a second patch that subsumes these with a few
additional enhancements.
Comment 4 Jay Berkenbilt 2002-08-08 13:28:43 EDT
Created attachment 69586 [details]
refinement of previous patch with clearer regexp
Comment 5 Jay Berkenbilt 2002-08-08 13:44:19 EDT
My new patch (logwatch-sendmail.patch3) subsumes the other patches.  In addition
to the above, it also includes

Detection of five day returns

unknown hosts

unresolved sender domains

ignore "Service unavailable" messages

improved matching for timeouts to include both read and write timeouts

All changes tested on my production mail server.
Comment 6 Jay Berkenbilt 2002-08-08 13:44:57 EDT
Created attachment 69605 [details]
subsumes earlier patches and includes additional enhancements
Comment 7 Elliot Lee 2002-10-16 13:53:57 EDT
logwath-4.0 has this.

Note You need to log in before you can comment on or make changes to this bug.